#pragma once
#include "Logger.h"
#include "dbg.h"
class CLegacyDebugLogTiming : public CLogger
{
public:
    CLegacyDebugLogTiming(const std::string& strName);
    ~CLegacyDebugLogTiming() final;

private:
    void InitLogger();

    // Inherited via CLogger
    void DoStart() override;
    void DoFlush() override;
    void DoLogging(const std::string& strMsg) override;

    CDebugPrintf m_logger{ 1 };
};
